Bug 587911 - No mention of SRP being a supported "virtual" storage type
No mention of SRP being a supported "virtual" storage type
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Virtualization_Administration_Guide (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Christopher Curran
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-01 10:24 EDT by Justin Clift
Modified: 2011-12-05 20:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-31 00:23:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Clift 2010-05-01 10:24:55 EDT
Description of problem:

"Section 23 Virtualization storage topics" in the Virtualization Guide, & "Section 23 Virtual Storage" in the Storage Guide makes no mention of SRP being a supported storage type, even though the kernel modules and user space tools are included in RHEL 6, and it works well.

The ones mentioned at present are:

 * Fibre Channel
 * iSCSI
 * NFS
 * GFS2

This should be updated to include SRP (SCSI RDMA Protocol), the block export protocol used in Infiniband and 10GbE iWARP adapters.


Version-Release number of selected component (if applicable):

The Kernel modules are in the main RHEL 6 kernel package. i.e. kernel-2.6.32-19.el6 for the beta.

The user space tools are in the RHEL 6 srp-tools package.  srptools-0.0.4-7.el6 for the beta.
Comment 1 Justin Clift 2010-05-01 10:33:08 EDT
Also found a missing mention of it here in Chapter 1 of the Virtualization Guide too:

  http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6-Beta/html/Virtualization/chap-Virtualization-System_requirements.html

The only ones mentioned there are:

 * files on local storage,
 * physical disk partitions,
 * locally connected physical LUNs,
 * LVM partitions,
 * iSCSI, and
 * Fibre Channel-based LUNs
Comment 2 Justin Clift 2010-05-01 11:05:28 EDT
It's probably worth adding mention of GNBD as a supported storage type too.
Comment 4 RHEL Product and Program Management 2010-05-01 12:15:05 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Don Domingo 2010-05-03 20:16:02 EDT
thanks Justin. I am reassigning this to the Virtualization Guide's author for review.
Comment 6 Christopher Curran 2010-05-04 20:42:52 EDT
GNBD? If that is officially supported I'll add that too.

Added SRP.

Chris
Comment 7 Christopher Curran 2010-05-04 20:51:25 EDT
Fixed in build 15.

Note You need to log in before you can comment on or make changes to this bug.